This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 437205

Summary: Desktop interprets mouse buttons greater than 7 to be left click (button 1)
Product: [Fedora] Fedora Reporter: Jesse Keating <jkeating>
Component: gtk2Assignee: Matthias Clasen <mclasen>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 11CC: dcantrell, mclasen, mcrha, mlists
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 06:33:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235705    

Description Jesse Keating 2008-03-12 17:22:58 EDT
I've got a mouse with a scroll ball on top, giving it effectively 7 buttons. 
However to avoid horizontal srolling I use xmodmap to map buttons 6 and 7 to
something higher than 6 and 7 ( you can map up to 32! ).  As soon as anything is
mapped to higher than 7, evolution takes that event and counts it as a left
click.  This makes it pretty difficult to scroll my evolution folders as any
left/right variance in my up/down scrolling will click on whatever happens to be
under my mouse.

My suspicion is that Evolution has within it somewhere a mapping of mouse
buttons and it doesn't go over 7.
Comment 1 Matthew Barnes 2008-03-13 10:38:29 EDT
Jesse, what xmodmap expression are you using?  Just so I can try to reproduce
this with a standard mouse.  I've never used xmodmap before.
Comment 2 Jesse Keating 2008-03-13 11:46:49 EDT
xmodmap -e "pointer = 1 2 10 4 5 3 11 8 9 6 7"

That should work, then revert to 1 2 3 4 5 6 7 8 9 10 11 when you're done.

I had to shut down evolution and start it up again before I could get the folder
list to see the mapping, whereas other parts of evo saw the new mapping right away.
Comment 3 Mike Chambers 2009-03-07 09:26:02 EST
Jesse, is this still a problem?  If you have upgraded to a newer evolution or to Fedora 10 or higher, can you modify the bug accordingly or close if fixed?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Jesse Keating 2009-03-07 11:47:16 EST
I'll have to retest.  I haven't been using that mouse in a while.
Comment 5 Jesse Keating 2009-03-31 12:43:45 EDT
This is still happening in rawhide.
Comment 6 Matthew Barnes 2009-03-31 15:13:55 EDT
What parts of the window are you scrolling over where you see this problem?  Just the message list and/or preview area or is it anything with a scrollbar?  Trying to narrow down which custom widget might be causing the problem.
Comment 7 Jesse Keating 2009-03-31 16:19:32 EDT
Turns out I see this on any window, even non-evolution windows.  I'm going to re-assign to .... not sure.  compiz?
Comment 8 Matthias Clasen 2009-03-31 23:30:52 EDT
Upstream bug: http://bugzilla.gnome.org/show_bug.cgi?id=499471
Comment 9 Bug Zapper 2009-06-09 05:29:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-04-27 07:56:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 06:33:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.